package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 起算单位
 */
public enum StartingUnitEnum implements BaseEnum {
    NATURAL_YEAR("0","自然年"),
    STARTING_YEAR("1","起算年"),
    NATURAL_MONTH("2","自然月"),
    STARTING_MONTH("3","起算月"),
    NATURAL_WEEK("4","自然周"),
    STARTING_WEEK("5","起算周"),
    NATURAL_DAY("6","自然天");

    private String key;
    private String value;

    StartingUnitEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
